class Ecs::ScoreLevelsController < Ecs::CourseBaseController
  def show
    @score_levels = current_course.ec_score_levels
  end

  def create
    Ecs::CreateScoreLevelsService.call(current_course, create_params)
    @score_levels = current_course.ec_score_levels

    render 'show'
  end

  private

  def create_params
    params.permit(score_levels: %i[id score level])
  end
end